Subject: [MMUSIC] FW: New Version Notification for draft-ietf-mmusic-rfc4566bis-15.txt

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Tue, 5 May 2015 14:17:44 +0000

This version addresses all the existing issues except:

1) a=quality is neither well defined nor known to be used. However, the chairs (I believe Ari) were supposed to confirm this with SIP Forum. A note has been added to the document.
2) There are 2 editor’s notes in section 8.5. Please comment on what we should do regarding those notes. 

Please review the changes and see whether you have any remaining concerns. The target date for this draft to be completed was March 2015 and I hope we can ship this before Prague.

-acbegen

-----Original Message-----
From: "[email-masked]"
Date: Tuesday, May 5, 2015 at 5:13 PM
To: Van Jacobson, "Mark J. Handley", "Ali C. Begen", Colin Perkins, Colin Perkins, Van Jacobson, "Ali C. Begen", Mark Handley
Subject: New Version Notification for draft-ietf-mmusic-rfc4566bis-15.txt

>
>A new version of I-D, draft-ietf-mmusic-rfc4566bis-15.txt
>has been successfully submitted by Ali Begen and posted to the
>IETF repository.
>
>Name:		draft-ietf-mmusic-rfc4566bis
>Revision:	15
>Title:		SDP: Session Description Protocol
>Document date:	2015-05-05
>Group:		mmusic
>Pages:		57
>URL:            https://www.ietf.org/internet-drafts/draft-ietf-mmusic-rfc4566bis-15.txt
>Status:         https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis/
>Htmlized:       https://tools.ietf.org/html/draft-ietf-mmusic-rfc4566bis-15
>Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-15
>
>Abstract:
>   This memo defines the Session Description Protocol (SDP).  SDP is
>   intended for describing multimedia sessions for the purposes of
>   session announcement, session invitation, and other forms of
>   multimedia session initiation.  This document obsoletes RFC 4566.
>
>                                                                                  
>
>
>Please note that it may take a couple of minutes from the time of submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>

---

From: Christian Groves <[email-masked]>
Date: Wed, 06 May 2015 12:01:12 +1000

Hello Ali,

FYI 3GPP TS26.236 Annex A.1 lists a=quality as being an optional 
enhancement.

I also had a quick websearch and 
https://forum.videolan.org/viewtopic.php?t=56192 shows someone is using it.

Regards, Christian

On 6/05/2015 12:17 AM, Ali C. Begen (abegen) wrote:
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 6 May 2015 09:02:38 +0000

Thanks Christian for checking. I had seen the videolan usage, however, I dont think it will change our stand against this attribute. It is quite poorly defined and by no means there is an interop. So, maybe we won’t deprecate it, however, its usage should be discouraged IMO.

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 May 2015 12:01:12 -0400

> 1) a=quality is neither well defined nor known to be used. However, the chairs (I believe Ari) were supposed to confirm this with SIP Forum. A note has been added to the document.

I posted a query to sip-implementors about this.

> Please review the changes and see whether you have any remaining concerns. The target date for this draft to be completed was March 2015 and I hope we can ship this before Prague.

Nit/taste issue: now that I see all the abnf together, ISTM that it 
might be tidier to change non-zero-real to:

    non-zero-real = zero-based-integer "." *DIGIT POS-DIGIT

And I suggest moving the definition of zero-based-integer to just after 
the definition of integer, so that all the number definitions are 
grouped together.

Also, I ran all the abnf through bap to formally check it. I found two 
problems:

- the definition of 'origin-field' extends over two lines, but the 2nd 
line is not indented, as it must be.

- in the definition of 'token-char' there is a slash at the end of the 
2nd line (after "&"), and also a slash at the beginning of the 
continuation line. The one at the end ought to be removed.

OLD:
    origin-field =       %s"o" "=" username SP sess-id SP sess-version SP
    nettype SP addrtype SP unicast-address CRLF
...
    token-char =          ALPHA / DIGIT
                              / "!" / "#" / "$" / "%" / "&" /
                              / "'" ; (single quote)
                              / "*" / "+" / "-" / "." / "^" / "_"
                              / "`" ; (Grave accent)
                              / "{" / "|" / "}" / "~"

NEW:
    origin-field =       %s"o" "=" username SP sess-id SP sess-version SP
                         nettype SP addrtype SP unicast-address CRLF
...
    token-char =          ALPHA / DIGIT
                              / "!" / "#" / "$" / "%" / "&"
                              / "'" ; (single quote)
                              / "*" / "+" / "-" / "." / "^" / "_"
                              / "`" ; (Grave accent)
                              / "{" / "|" / "}" / "~"

Those were the only things I found.

	Thanks,
	Paul

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 6 May 2015 16:40:56 +0000

-----Original Message-----
From: Paul Kyzivat
Date: Wednesday, May 6, 2015 at 7:01 PM
To: "[email-masked]"
Subject: Re: [MMUSIC] FW: New Version Notification for draft-ietf-mmusic-rfc4566bis-15.txt

>I posted a query to sip-implementors about this.

Thank you.
>the definition of integer, so that all the number definitions are 

Sure.

>    token-char =          ALPHA / DIGIT

Implemented for -16, waiting for others to provide feedback if any.

-acbegen

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 29 May 2015 16:05:26 -0400

On 5/6/15 12:01 PM, Paul Kyzivat wrote:
>> 1) a=quality is neither well defined nor known to be used. However, 
>> the chairs (I believe Ari) were supposed to confirm this with SIP 
>> Forum. A note has been added to the document.
>
Thank you Paul. Did you hear anything back ?

In either case, does anybody else have any concerns with deprecating 
this attribute in 4566bis ?

-- Flemming

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 29 May 2015 17:11:38 -0400

> Thank you Paul. Did you hear anything back ?

I had no responses indicating any use.

	Thanks,
	Paul